using System.Collections.Generic;
using System.Text.Json.Serialization;

namespace StellaOps.Feedser.Exporter.TrivyDb;

public sealed record OciDescriptor(
    [property: JsonPropertyName("mediaType")] string MediaType,
    [property: JsonPropertyName("digest")] string Digest,
    [property: JsonPropertyName("size")] long Size,
    [property: JsonPropertyName("annotations")] IReadOnlyDictionary<string, string>? Annotations = null);
